// Kutuphane snf tanmlamalar	

#include <iostream>
using std::cin;
using std::cout;
using std::endl;

#include <string>
using std::string;

#include <iomanip>
using std::setw;
using std::left;

class Kutuphane
{
public:
	// ekrann st ksmna balk yazmak iin 
	void baslikYaz()
	{
		system("CLS");
		cout << "*   *  *   *  *****  *   *  ****   *    *   ***   *   *  ***** \n";
		cout << "*  *   *   *    *    *   *  *   *  *    *  *   *  **  *  *	    \n";
		cout << "***    *   *    *    *   *  ****   ******  *****  * * *  ****	\n";
		cout << "*  *   *   *    *    *   *  *      *    *  *   *  *  **  *		\n";
		cout << "*   *   ***     *     ***   *      *    *  *   *  *   *  *****	\n\n\n";
	}

	// ekranda ana meny grntler
	int anaMenu()
	{
		int secim;
		system("CLS");
		baslikYaz();
		cout << "(1) KITAP GIRISI \n\n";
		cout << "(2) TUM KITAP LISTESI \n\n";
		cout << "(3) KATEGORI LISTELE \n\n";
		cout << "(4) YILA GORE LISTELE \n\n";
		cout << "(5) YAZAR ADI ARA \n\n";
		cout << "(6) KITAP ADI ARA \n\n";
		cout << "(7) ISBN ARA \n\n";
		cout << "(8) CIKIS \n\n";
		cout << "SECIMINIZ (1...8): ";
		cin >> secim;
			
		return secim;
	}

	// veri girii iin kullanlyor
	void giris()
	{
		baslikYaz();
		for (int i = 0; i < kitapSayisi; i++)
		{
			cout << i+1 << ".kitap adi : ";
			cin >> kitapAdi[i];
			cout << i+1 << ".kitap ISBN : ";
			cin >> kitapISBN[i];
			cout << i+1 << ".yazar adi : ";
			cin >> yazarAdi[i];
			cout << i+1 << ".kategori (1)Elektronik (2)Bilgisayar (3)Matematik : ";
			cin >> kitapKategori[i];
			cout << i+1 << ".kitap basim yili : ";
			cin >> kitapYil[i];
		}
	}

	// tm kitaplar listeler
	void tumListe()
	{
		system("CLS");
		baslikYaz();
		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)	// tm kitaplar iin
		{
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		}
	}

	// seilen kategoriye ait kitaplar listeler
	void kategoriListe()
	{
		system("CLS");
		int kategori;
		baslikYaz();
		cout << "Kategori giriniz (1)Elektronik (2)Bilgisayar (3)Matematik :";
		cin >> kategori;
		switch (kategori)	// balk yazar
		{
			case 1: cout << "\n\nELEKTRONIK KITAPLARI\n\n\n"; 
					break;
			case 2: cout << "\n\nBILGISAYAR KITAPLARI\n\n\n"; 
					break;
			case 3: cout << "\n\nMATEMATIK KITAPLARI\n\n\n"; 
					break;
		}
		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)
		{
			if (kitapKategori[i] == kategori)	// girilen kategori ise yazar
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		}
	}

	// seilen yla ait kitaplar listeler
	void yilListe()
	{
		system("CLS");
		int Yil;
		baslikYaz();
		cout << "Yil giriniz :";
		cin >> Yil;
		cout << "\n\n" << Yil << " YILI VE SONRASI BASILAN KITAPLAR\n\n\n"; 

		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)
		{
			if (kitapYil[i] >= Yil)				// girilen yl ve sonrasysa yazar
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		}
	}

	// seilen yazara ait kitaplar listeler
	void yazarListe()
	{
		system("CLS");
		string yazar;
		baslikYaz();
		cout << "Yazar adi giriniz :";
		cin >> yazar;
		cout << "\n\n" << yazar << " ISIMLI YAZARA AIT KITAPLAR\n\n\n"; 

		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)
		{
			if (yazarAdi[i] == yazar)	// seilen yazara ait ise yazar
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		} 
	}

	// seilen kitaplar listeler
	void kitapListe()
	{
		system("CLS");
		string kitap;
		baslikYaz();
		cout << "Kitap adi giriniz :";
		cin >> kitap;
		cout << "\n\n" << kitap << " BILGILERI\n\n\n"; 

		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)
		{
			if (kitapAdi[i] == kitap)	// seilen kitap adna eitse yazar
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		}
	}

	// seilen ISBN'e sahip kitap bilgilerini gsterir
	void ISBNListe()
	{
		system("CLS");
		string ISBN;
		baslikYaz();
		cout << "ISBN giriniz :";
		cin >> ISBN;
		cout << "\n\n" << ISBN << " ISBN NUMARALI KITAP BILGILERI\n\n\n"; 

		cout << "KITAP ADI		 ISBN	    YAZAR ADI		  KATEGORI        YIL" << endl; 
		cout << "************************ ********** ********************* *************** *****" << endl; 
		for (int i = 0; i < kitapSayisi; i++)
		{
			if (kitapISBN[i] == ISBN)	// seilen ISBN ise yazar
			cout << left << setw(25) << 
					kitapAdi[i] << setw(11) << 
					kitapISBN[i] << setw(22) << 
					yazarAdi[i] << setw(16)<<
					kitapKategori[i] << setw(6)<<
					kitapYil[i] << endl;
		}
	}

	// listelerden sonra ekran durdurmay salar
	void bekle()
	{
		cout << "\nDevam icin bir tusa basiniz..." ;
		getch();
	}

private:
	static const int kitapSayisi = 10;	// toplam giri yaplacak kitap says
	int kitapYil[ kitapSayisi ],		// girilen kitabn basm yl
		kitapKategori[ kitapSayisi ];	// girilen kitabn kategorisi (1)Elektronik (2)Bilgisayar (3)Matematik
	string  kitapISBN[ kitapSayisi ],	// girilen kitabn ISBN numaras
			kitapAdi[ kitapSayisi ],	// girilen kitabn ad
			yazarAdi[ kitapSayisi ];	// girilen kitabn yazar ad
};
